Commit c5eb5d69 authored by Alan Coopersmith's avatar Alan Coopersmith

Record some additional library dependencies in xf86 modules

Helps with symbol resolution when building with -z defs
Signed-off-by: Alan Coopersmith's avatarAlan Coopersmith <alan.coopersmith@oracle.com>
Reviewed-by: Dan Nicholson's avatarDan Nicholson <dbn.lists@gmail.com>
parent 1c08a37e
......@@ -794,7 +794,7 @@ APPLEWMPROTO="applewmproto >= 1.4"
dnl Core modules for most extensions, et al.
REQUIRED_MODULES="[randrproto >= 1.2.99.3] [renderproto >= 0.11] [fixesproto >= 4.1] [damageproto >= 1.1] [xcmiscproto >= 1.2.0] [xextproto >= 7.0.99.3] [xproto >= 7.0.17] [xtrans >= 1.2.2] [bigreqsproto >= 1.1.0] fontsproto [inputproto >= 1.9.99.902] [kbproto >= 1.0.3]"
REQUIRED_LIBS="xfont xau [pixman-1 >= 0.15.20]"
REQUIRED_LIBS="xfont xau"
dnl List of libraries that require a specific version
LIBAPPLEWM="applewm >= 1.4"
......@@ -810,6 +810,12 @@ LIBGLIB="glib-2.0 >= 2.16"
LIBUDEV="libudev >= 143"
LIBSELINUX="libselinux >= 2.0.86"
LIBDBUS="dbus-1 >= 1.0"
LIBPIXMAN="pixman-1 >= 0.15.20"
dnl Pixman is always required, but we separate it out so we can link
dnl specific modules against it
PKG_CHECK_MODULES(PIXMAN, $LIBPIXMAN)
REQUIRED_LIBS="$REQUIRED_LIBS $LIBPIXMAN"
if test "x$CONFIG_UDEV" = xyes &&
{ test "x$CONFIG_DBUS_API" = xyes || test "x$CONFIG_HAL" = xyes; }; then
......
......@@ -11,8 +11,10 @@ sdk_HEADERS = fb.h fbrop.h fboverlay.h wfbrename.h fbpict.h
endif
libfb_la_CFLAGS = $(AM_CFLAGS)
libfb_la_LIBADD = $(PIXMAN_LIBS)
libwfb_la_CFLAGS = $(AM_CFLAGS) -DFB_ACCESS_WRAPPER
libwfb_la_LIBADD = $(PIXMAN_LIBS)
libfb_la_SOURCES = \
fb.h \
......
......@@ -5,6 +5,7 @@ sdk_HEADERS = xf86int10.h
EXTRA_CFLAGS =
libint10_la_LDFLAGS = -avoid-version
libint10_la_LIBADD = $(PCIACCESS_LIBS)
COMMON_SOURCES = \
helper_exec.c \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment